Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Argus::IBuffer Member List

This is the complete list of members for Argus::IBuffer, including all inherited members.

getBufferType() const =0 | Argus::IBuffer | pure virtual
getClientData() const =0 | Argus::IBuffer | pure virtual
getMetadata() const =0 | Argus::IBuffer | pure virtual
getSyncType() const =0 | Argus::IBuffer | pure virtual
id() | Argus::IBuffer | inline static
Interface() | Argus::Interface | inline protected
setClientData(const void *clientData)=0 | Argus::IBuffer | pure virtual
~IBuffer() | Argus::IBuffer | inline protected
~Interface() | Argus::Interface | inline protected